Loading...
Searching...
No Matches
lomiri::shell::launcher::QuickListModelInterface Class Reference

A model containing QuickList actions for an application in the launcher. More...

`#include <lomiri/shell/launcher/QuickListModelInterface.h>`

Inheritance diagram for lomiri::shell::launcher::QuickListModelInterface:
[legend]
Collaboration diagram for lomiri::shell::launcher::QuickListModelInterface:
[legend]

## Public Types

enum | Roles { RoleLabel , RoleIcon , RoleClickable , RoleHasSeparator , RoleIsPrivate }
| The Roles supported by the model. More...

## Detailed Description

A model containing QuickList actions for an application in the launcher.

The model has the following roles:

- RoleLabel (label): The text entry in the QuickList menu (QString).
- RoleIcon (icon): The icon to be shown for this entry (QString).
- RoleClickable (clickable): Determines if the entry can be triggered or is just a static text (boolean)
- RoleHasSeparator (hasSeparator): Determines if the entry has a separator (boolean)
- RoleIsPrivate (isPrivate): Determines whether the entry should be shown or not in locked mode (e.g. greeter is locked)

## Member Enumeration Documentation

## Roles

enum lomiri::shell::launcher::QuickListModelInterface::Roles

The Roles supported by the model.

See class description for details.

The documentation for this class was generated from the following file:

- include/lomiri/shell/launcher/QuickListModelInterface.h